Package org.eclipse.birt.chart.model.component.impl

# Class AxisImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.AxisImpl

All Implemented Interfaces:
  `Axis`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class AxisImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Axis
An implementation of the model object ' Axis'.

The following features are implemented:

- `Type`
- `Title`
- `Sub Title`
- `Title Position`
- `Associated Axes`
- `Ancillary Axes`
- `Series Definitions`
- `Gap Width`
- `Orientation`
- `Line Attributes`
- `Label`
- `Format Specifier`
- `Label Position`
- `Staggered`
- `Interval`
- `Marker Lines`
- `Marker Ranges`
- `Triggers`
- `Major Grid`
- `Minor Grid`
- `Scale`
- `Origin`
- `Primary Axis`
- `Category Axis`
- `Percent`
- `Label Within Axes`
- `Aligned`
- `Side By Side`
- `Cursor`
- `Label Span`
- `Axis Percent`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.birt.chart.model.component.Axis

`ANCILLARY_BASE, BASE, ORTHOGONAL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetMajorGrid(Grid newMajorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetMinorGrid(Grid newMinorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetOrigin(AxisOrigin newOrigin, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetScale(Scale newScale, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetSubTitle(Label newSubTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetTitle(Label newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Axis`
`copyInstance()`
`static final Axis`
`create(int iAxisType)`
A convenience method to create an initialized 'Axis' instance
`static final Axis`
`createDefault(int iAxisType)`
A convenience method to create an initialized 'Axis' instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<Axis>`
`getAncillaryAxes()`
`org.eclipse.emf.common.util.EList<Axis>`
`getAssociatedAxes()`
`int`
`getAxisPercent()`
`Cursor`
`getCursor()`
`FormatSpecifier`
`getFormatSpecifier()`
`double`
`getGapWidth()`
`int`
`getInterval()`
`Label`
`getLabel()`
`Position`
`getLabelPosition()`
`double`
`getLabelSpan()`
`LineAttributes`
`getLineAttributes()`
`Grid`
`getMajorGrid()`
`org.eclipse.emf.common.util.EList<MarkerLine>`
`getMarkerLines()`
`org.eclipse.emf.common.util.EList<MarkerRange>`
`getMarkerRanges()`
`Grid`
`getMinorGrid()`
`Orientation`
`getOrientation()`
`AxisOrigin`
`getOrigin()`
`final Series[]`
`getRuntimeSeries()`
`Scale`
`getScale()`
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
`getSeriesDefinitions()`
`Label`
`getSubTitle()`
`Label`
`getTitle()`
`Position`
`getTitlePosition()`
`org.eclipse.emf.common.util.EList<Trigger>`
`getTriggers()`
`AxisType`
`getType()`
`boolean`
`isAligned()`
`boolean`
`isCategoryAxis()`
`boolean`
`isLabelWithinAxes()`
`boolean`
`isPercent()`
`boolean`
`isPrimaryAxis()`
`boolean`
`isSetAligned()`
`boolean`
`isSetAxisPercent()`
`boolean`
`isSetCategoryAxis()`
`boolean`
`isSetGapWidth()`
`boolean`
`isSetInterval()`
`boolean`
`isSetLabelPosition()`
`boolean`
`isSetLabelSpan()`
`boolean`
`isSetLabelWithinAxes()`
`boolean`
`isSetOrientation()`
`boolean`
`isSetPercent()`
`boolean`
`isSetPrimaryAxis()`
`boolean`
`isSetSideBySide()`
`boolean`
`isSetStaggered()`
`boolean`
`isSetTitlePosition()`
`boolean`
`isSetType()`
`boolean`
`isSideBySide()`
`boolean`
`isStaggered()`
`void`
`setAligned(boolean newAligned)`
`void`
`setAxisPercent(int newAxisPercent)`
`void`
`setCategoryAxis(boolean newCategoryAxis)`
`void`
`setCursor(Cursor newCursor)`
`void`
`setFormatSpecifier(FormatSpecifier newFormatSpecifier)`
`void`
`setGapWidth(double newGapWidth)`
`void`
`setInterval(int newInterval)`
`void`
`setLabel(Label newLabel)`
`void`
`setLabelPosition(Position newLabelPosition)`
`void`
`setLabelSpan(double newLabelSpan)`
`void`
`setLabelWithinAxes(boolean newLabelWithinAxes)`
`void`
`setLineAttributes(LineAttributes newLineAttributes)`
`void`
`setMajorGrid(Grid newMajorGrid)`
`void`
`setMinorGrid(Grid newMinorGrid)`
`void`
`setOrientation(Orientation newOrientation)`
`void`
`setOrigin(AxisOrigin newOrigin)`
`void`
`setPercent(boolean newPercent)`
`void`
`setPrimaryAxis(boolean newPrimaryAxis)`
`void`
`setScale(Scale newScale)`
`void`
`setSideBySide(boolean newSideBySide)`
`void`
`setStaggered(boolean newStaggered)`
`void`
`setSubTitle(Label newSubTitle)`
`void`
`setTitle(Label newTitle)`
`void`
`setTitlePosition(Position newTitlePosition)`
`void`
`setType(AxisType newType)`
`String`
`toString()`
`void`
`unsetAligned()`
`void`
`unsetAxisPercent()`
`void`
`unsetCategoryAxis()`
`void`
`unsetGapWidth()`
`void`
`unsetInterval()`
`void`
`unsetLabelPosition()`
`void`
`unsetLabelSpan()`
`void`
`unsetLabelWithinAxes()`
`void`
`unsetOrientation()`
`void`
`unsetPercent()`
`void`
`unsetPrimaryAxis()`
`void`
`unsetSideBySide()`
`void`
`unsetStaggered()`
`void`
`unsetTitlePosition()`
`void`
`unsetType()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getType

public AxisType getType()

Specified by:
  `getType` in interface `Axis`
Returns:
  the value of the 'Type' attribute.
See Also:
  - `AxisType`
  - `Axis.isSetType()`
  - `Axis.unsetType()`
  - `Axis.setType(AxisType)`
  - `ComponentPackage.getAxis_Type()`

### setType

public void setType(AxisType newType)

Specified by:
  `setType` in interface `Axis`
Parameters:
  `newType` - the new value of the 'Type' attribute.
See Also:
  - `AxisType`
  - `Axis.isSetType()`
  - `Axis.unsetType()`
  - `Axis.getType()`

### unsetType

public void unsetType()

Specified by:
  `unsetType` in interface `Axis`
See Also:
  - `Axis.isSetType()`
  - `Axis.getType()`
  - `Axis.setType(AxisType)`

### isSetType

public boolean isSetType()

Specified by:
  `isSetType` in interface `Axis`
Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `Axis.unsetType()`
  - `Axis.getType()`
  - `Axis.setType(AxisType)`

### getTitle

public Label getTitle()

Specified by:
  `getTitle` in interface `Axis`
Returns:
  the value of the 'Title' containment reference.
See Also:
  - `Axis.setTitle(Label)`
  - `ComponentPackage.getAxis_Title()`

### basicSetTitle

public org.eclipse.emf.common.notify.NotificationChain basicSetTitle(Label newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)

### setTitle

public void setTitle(Label newTitle)

Specified by:
  `setTitle` in interface `Axis`
Parameters:
  `newTitle` - the new value of the 'Title' containment reference.
See Also:
  - `Axis.getTitle()`

### getSubTitle

public Label getSubTitle()

Specified by:
  `getSubTitle` in interface `Axis`
Returns:
  the value of the 'Sub Title' containment reference.
See Also:
  - `Axis.setSubTitle(Label)`
  - `ComponentPackage.getAxis_SubTitle()`

### basicSetSubTitle

public org.eclipse.emf.common.notify.NotificationChain basicSetSubTitle(Label newSubTitle, org.eclipse.emf.common.notify.NotificationChain msgs)

### setSubTitle

public void setSubTitle(Label newSubTitle)

Specified by:
  `setSubTitle` in interface `Axis`
Parameters:
  `newSubTitle` - the new value of the 'Sub Title' containment reference.
See Also:
  - `Axis.getSubTitle()`

### getTitlePosition

public Position getTitlePosition()

Specified by:
  `getTitlePosition` in interface `Axis`
Returns:
  the value of the 'Title Position' attribute.
See Also:
  - `Position`
  - `Axis.isSetTitlePosition()`
  - `Axis.unsetTitlePosition()`
  - `Axis.setTitlePosition(Position)`
  - `ComponentPackage.getAxis_TitlePosition()`

### setTitlePosition

public void setTitlePosition(Position newTitlePosition)

Specified by:
  `setTitlePosition` in interface `Axis`
Parameters:
  `newTitlePosition` - the new value of the 'Title Position' attribute.
See Also:
  - `Position`
  - `Axis.isSetTitlePosition()`
  - `Axis.unsetTitlePosition()`
  - `Axis.getTitlePosition()`

### unsetTitlePosition

public void unsetTitlePosition()

Specified by:
  `unsetTitlePosition` in interface `Axis`
See Also:
  - `Axis.isSetTitlePosition()`
  - `Axis.getTitlePosition()`
  - `Axis.setTitlePosition(Position)`

### isSetTitlePosition

public boolean isSetTitlePosition()

Specified by:
  `isSetTitlePosition` in interface `Axis`
Returns:
  whether the value of the 'Title Position' attribute is set.
See Also:
  - `Axis.unsetTitlePosition()`
  - `Axis.getTitlePosition()`
  - `Axis.setTitlePosition(Position)`

### getAssociatedAxes

public org.eclipse.emf.common.util.EList<Axis> getAssociatedAxes()

Specified by:
  `getAssociatedAxes` in interface `Axis`
Returns:
  the value of the 'Associated Axes' containment reference list.
See Also:
  - `ComponentPackage.getAxis_AssociatedAxes()`

### getAncillaryAxes

public org.eclipse.emf.common.util.EList<Axis> getAncillaryAxes()

Specified by:
  `getAncillaryAxes` in interface `Axis`
Returns:
  the value of the 'Ancillary Axes' containment reference list.
See Also:
  - `ComponentPackage.getAxis_AncillaryAxes()`

### getSeriesDefinitions

public org.eclipse.emf.common.util.EList<SeriesDefinition> getSeriesDefinitions()

Specified by:
  `getSeriesDefinitions` in interface `Axis`
Returns:
  the value of the 'Series Definitions' containment reference list.
See Also:
  - `ComponentPackage.getAxis_SeriesDefinitions()`

### getGapWidth

public double getGapWidth()

Specified by:
  `getGapWidth` in interface `Axis`
Returns:
  the value of the 'Gap Width' attribute.
See Also:
  - `Axis.isSetGapWidth()`
  - `Axis.unsetGapWidth()`
  - `Axis.setGapWidth(double)`
  - `ComponentPackage.getAxis_GapWidth()`

### setGapWidth

public void setGapWidth(double newGapWidth)

Specified by:
  `setGapWidth` in interface `Axis`
Parameters:
  `newGapWidth` - the new value of the 'Gap Width' attribute.
See Also:
  - `Axis.isSetGapWidth()`
  - `Axis.unsetGapWidth()`
  - `Axis.getGapWidth()`

### unsetGapWidth

public void unsetGapWidth()

Specified by:
  `unsetGapWidth` in interface `Axis`
See Also:
  - `Axis.isSetGapWidth()`
  - `Axis.getGapWidth()`
  - `Axis.setGapWidth(double)`

### isSetGapWidth

public boolean isSetGapWidth()

Specified by:
  `isSetGapWidth` in interface `Axis`
Returns:
  whether the value of the 'Gap Width' attribute is set.
See Also:
  - `Axis.unsetGapWidth()`
  - `Axis.getGapWidth()`
  - `Axis.setGapWidth(double)`

### getOrientation

public Orientation getOrientation()

Specified by:
  `getOrientation` in interface `Axis`
Returns:
  the value of the 'Orientation' attribute.
See Also:
  - `Orientation`
  - `Axis.isSetOrientation()`
  - `Axis.unsetOrientation()`
  - `Axis.setOrientation(Orientation)`
  - `ComponentPackage.getAxis_Orientation()`

### setOrientation

public void setOrientation(Orientation newOrientation)

Specified by:
  `setOrientation` in interface `Axis`
Parameters:
  `newOrientation` - the new value of the 'Orientation' attribute.
See Also:
  - `Orientation`
  - `Axis.isSetOrientation()`
  - `Axis.unsetOrientation()`
  - `Axis.getOrientation()`

### unsetOrientation

public void unsetOrientation()

Specified by:
  `unsetOrientation` in interface `Axis`
See Also:
  - `Axis.isSetOrientation()`
  - `Axis.getOrientation()`
  - `Axis.setOrientation(Orientation)`

### isSetOrientation

public boolean isSetOrientation()

Specified by:
  `isSetOrientation` in interface `Axis`
Returns:
  whether the value of the 'Orientation' attribute is set.
See Also:
  - `Axis.unsetOrientation()`
  - `Axis.getOrientation()`
  - `Axis.setOrientation(Orientation)`

### getLineAttributes

public LineAttributes getLineAttributes()

Specified by:
  `getLineAttributes` in interface `Axis`
Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `Axis.setLineAttributes(LineAttributes)`
  - `ComponentPackage.getAxis_LineAttributes()`

### basicSetLineAttributes

public org.eclipse.emf.common.notify.NotificationChain basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLineAttributes

public void setLineAttributes(LineAttributes newLineAttributes)

Specified by:
  `setLineAttributes` in interface `Axis`
Parameters:
  `newLineAttributes` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `Axis.getLineAttributes()`

### getLabel

public Label getLabel()

Specified by:
  `getLabel` in interface `Axis`
Returns:
  the value of the 'Label' containment reference.
See Also:
  - `Axis.setLabel(Label)`
  - `ComponentPackage.getAxis_Label()`

### basicSetLabel

public org.eclipse.emf.common.notify.NotificationChain basicSetLabel(Label newLabel, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLabel

public void setLabel(Label newLabel)

Specified by:
  `setLabel` in interface `Axis`
Parameters:
  `newLabel` - the new value of the 'Label' containment reference.
See Also:
  - `Axis.getLabel()`

### getFormatSpecifier

public FormatSpecifier getFormatSpecifier()

Specified by:
  `getFormatSpecifier` in interface `Axis`
Returns:
  the value of the 'Format Specifier' containment reference.
See Also:
  - `Axis.setFormatSpecifier(FormatSpecifier)`
  - `ComponentPackage.getAxis_FormatSpecifier()`

### basicSetFormatSpecifier

public org.eclipse.emf.common.notify.NotificationChain basicSetFormatSpecifier(FormatSpecifier newFormatSpecifier, org.eclipse.emf.common.notify.NotificationChain msgs)

### setFormatSpecifier

public void setFormatSpecifier(FormatSpecifier newFormatSpecifier)

Specified by:
  `setFormatSpecifier` in interface `Axis`
Parameters:
  `newFormatSpecifier` - the new value of the 'Format Specifier' containment reference.
See Also:
  - `Axis.getFormatSpecifier()`

### getLabelPosition

public Position getLabelPosition()

Specified by:
  `getLabelPosition` in interface `Axis`
Returns:
  the value of the 'Label Position' attribute.
See Also:
  - `Position`
  - `Axis.isSetLabelPosition()`
  - `Axis.unsetLabelPosition()`
  - `Axis.setLabelPosition(Position)`
  - `ComponentPackage.getAxis_LabelPosition()`

### setLabelPosition

public void setLabelPosition(Position newLabelPosition)

Specified by:
  `setLabelPosition` in interface `Axis`
Parameters:
  `newLabelPosition` - the new value of the 'Label Position' attribute.
See Also:
  - `Position`
  - `Axis.isSetLabelPosition()`
  - `Axis.unsetLabelPosition()`
  - `Axis.getLabelPosition()`

### unsetLabelPosition

public void unsetLabelPosition()

Specified by:
  `unsetLabelPosition` in interface `Axis`
See Also:
  - `Axis.isSetLabelPosition()`
  - `Axis.getLabelPosition()`
  - `Axis.setLabelPosition(Position)`

### isSetLabelPosition

public boolean isSetLabelPosition()

Specified by:
  `isSetLabelPosition` in interface `Axis`
Returns:
  whether the value of the 'Label Position' attribute is set.
See Also:
  - `Axis.unsetLabelPosition()`
  - `Axis.getLabelPosition()`
  - `Axis.setLabelPosition(Position)`

### isStaggered

public boolean isStaggered()

Specified by:
  `isStaggered` in interface `Axis`
Returns:
  the value of the 'Staggered' attribute.
See Also:
  - `Axis.isSetStaggered()`
  - `Axis.unsetStaggered()`
  - `Axis.setStaggered(boolean)`
  - `ComponentPackage.getAxis_Staggered()`

### setStaggered

public void setStaggered(boolean newStaggered)

Specified by:
  `setStaggered` in interface `Axis`
Parameters:
  `newStaggered` - the new value of the 'Staggered' attribute.
See Also:
  - `Axis.isSetStaggered()`
  - `Axis.unsetStaggered()`
  - `Axis.isStaggered()`

### unsetStaggered

public void unsetStaggered()

Specified by:
  `unsetStaggered` in interface `Axis`
See Also:
  - `Axis.isSetStaggered()`
  - `Axis.isStaggered()`
  - `Axis.setStaggered(boolean)`

### isSetStaggered

public boolean isSetStaggered()

Specified by:
  `isSetStaggered` in interface `Axis`
Returns:
  whether the value of the 'Staggered' attribute is set.
See Also:
  - `Axis.unsetStaggered()`
  - `Axis.isStaggered()`
  - `Axis.setStaggered(boolean)`

### getInterval

public int getInterval()

Specified by:
  `getInterval` in interface `Axis`
Returns:
  the value of the 'Interval' attribute.
See Also:
  - `Axis.isSetInterval()`
  - `Axis.unsetInterval()`
  - `Axis.setInterval(int)`
  - `ComponentPackage.getAxis_Interval()`

### setInterval

public void setInterval(int newInterval)

Specified by:
  `setInterval` in interface `Axis`
Parameters:
  `newInterval` - the new value of the 'Interval' attribute.
See Also:
  - `Axis.isSetInterval()`
  - `Axis.unsetInterval()`
  - `Axis.getInterval()`

### unsetInterval

public void unsetInterval()

Specified by:
  `unsetInterval` in interface `Axis`
See Also:
  - `Axis.isSetInterval()`
  - `Axis.getInterval()`
  - `Axis.setInterval(int)`

### isSetInterval

public boolean isSetInterval()

Specified by:
  `isSetInterval` in interface `Axis`
Returns:
  whether the value of the 'Interval' attribute is set.
See Also:
  - `Axis.unsetInterval()`
  - `Axis.getInterval()`
  - `Axis.setInterval(int)`

### getMarkerLines

public org.eclipse.emf.common.util.EList<MarkerLine> getMarkerLines()

Specified by:
  `getMarkerLines` in interface `Axis`
Returns:
  the value of the 'Marker Lines' containment reference list.
See Also:
  - `ComponentPackage.getAxis_MarkerLines()`

### getMarkerRanges

public org.eclipse.emf.common.util.EList<MarkerRange> getMarkerRanges()

Specified by:
  `getMarkerRanges` in interface `Axis`
Returns:
  the value of the 'Marker Ranges' containment reference list.
See Also:
  - `ComponentPackage.getAxis_MarkerRanges()`

### getTriggers

public org.eclipse.emf.common.util.EList<Trigger> getTriggers()

Specified by:
  `getTriggers` in interface `Axis`
Returns:
  the value of the 'Triggers' containment reference list.
See Also:
  - `ComponentPackage.getAxis_Triggers()`

### getMajorGrid

public Grid getMajorGrid()

Specified by:
  `getMajorGrid` in interface `Axis`
Returns:
  the value of the 'Major Grid' containment reference.
See Also:
  - `Axis.setMajorGrid(Grid)`
  - `ComponentPackage.getAxis_MajorGrid()`

### basicSetMajorGrid

public org.eclipse.emf.common.notify.NotificationChain basicSetMajorGrid(Grid newMajorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)

### setMajorGrid

public void setMajorGrid(Grid newMajorGrid)

Specified by:
  `setMajorGrid` in interface `Axis`
Parameters:
  `newMajorGrid` - the new value of the 'Major Grid' containment reference.
See Also:
  - `Axis.getMajorGrid()`

### getMinorGrid

public Grid getMinorGrid()

Specified by:
  `getMinorGrid` in interface `Axis`
Returns:
  the value of the 'Minor Grid' containment reference.
See Also:
  - `Axis.setMinorGrid(Grid)`
  - `ComponentPackage.getAxis_MinorGrid()`

### basicSetMinorGrid

public org.eclipse.emf.common.notify.NotificationChain basicSetMinorGrid(Grid newMinorGrid, org.eclipse.emf.common.notify.NotificationChain msgs)

### setMinorGrid

public void setMinorGrid(Grid newMinorGrid)

Specified by:
  `setMinorGrid` in interface `Axis`
Parameters:
  `newMinorGrid` - the new value of the 'Minor Grid' containment reference.
See Also:
  - `Axis.getMinorGrid()`

### getScale

public Scale getScale()

Specified by:
  `getScale` in interface `Axis`
Returns:
  the value of the 'Scale' containment reference.
See Also:
  - `Axis.setScale(Scale)`
  - `ComponentPackage.getAxis_Scale()`

### basicSetScale

public org.eclipse.emf.common.notify.NotificationChain basicSetScale(Scale newScale, org.eclipse.emf.common.notify.NotificationChain msgs)

### setScale

public void setScale(Scale newScale)

Specified by:
  `setScale` in interface `Axis`
Parameters:
  `newScale` - the new value of the 'Scale' containment reference.
See Also:
  - `Axis.getScale()`

### getOrigin

public AxisOrigin getOrigin()

Specified by:
  `getOrigin` in interface `Axis`
Returns:
  the value of the 'Origin' containment reference.
See Also:
  - `Axis.setOrigin(AxisOrigin)`
  - `ComponentPackage.getAxis_Origin()`

### basicSetOrigin

public org.eclipse.emf.common.notify.NotificationChain basicSetOrigin(AxisOrigin newOrigin, org.eclipse.emf.common.notify.NotificationChain msgs)

### setOrigin

public void setOrigin(AxisOrigin newOrigin)

Specified by:
  `setOrigin` in interface `Axis`
Parameters:
  `newOrigin` - the new value of the 'Origin' containment reference.
See Also:
  - `Axis.getOrigin()`

### isPrimaryAxis

public boolean isPrimaryAxis()

Specified by:
  `isPrimaryAxis` in interface `Axis`
Returns:
  the value of the 'Primary Axis' attribute.
See Also:
  - `Axis.isSetPrimaryAxis()`
  - `Axis.unsetPrimaryAxis()`
  - `Axis.setPrimaryAxis(boolean)`
  - `ComponentPackage.getAxis_PrimaryAxis()`

### setPrimaryAxis

public void setPrimaryAxis(boolean newPrimaryAxis)

Specified by:
  `setPrimaryAxis` in interface `Axis`
Parameters:
  `newPrimaryAxis` - the new value of the 'Primary Axis' attribute.
See Also:
  - `Axis.isSetPrimaryAxis()`
  - `Axis.unsetPrimaryAxis()`
  - `Axis.isPrimaryAxis()`

### unsetPrimaryAxis

public void unsetPrimaryAxis()

Specified by:
  `unsetPrimaryAxis` in interface `Axis`
See Also:
  - `Axis.isSetPrimaryAxis()`
  - `Axis.isPrimaryAxis()`
  - `Axis.setPrimaryAxis(boolean)`

### isSetPrimaryAxis

public boolean isSetPrimaryAxis()

Specified by:
  `isSetPrimaryAxis` in interface `Axis`
Returns:
  whether the value of the 'Primary Axis' attribute is set.
See Also:
  - `Axis.unsetPrimaryAxis()`
  - `Axis.isPrimaryAxis()`
  - `Axis.setPrimaryAxis(boolean)`

### isCategoryAxis

public boolean isCategoryAxis()

Specified by:
  `isCategoryAxis` in interface `Axis`
Returns:
  the value of the 'Category Axis' attribute.
See Also:
  - `Axis.isSetCategoryAxis()`
  - `Axis.unsetCategoryAxis()`
  - `Axis.setCategoryAxis(boolean)`
  - `ComponentPackage.getAxis_CategoryAxis()`

### setCategoryAxis

public void setCategoryAxis(boolean newCategoryAxis)

Specified by:
  `setCategoryAxis` in interface `Axis`
Parameters:
  `newCategoryAxis` - the new value of the 'Category Axis' attribute.
See Also:
  - `Axis.isSetCategoryAxis()`
  - `Axis.unsetCategoryAxis()`
  - `Axis.isCategoryAxis()`

### unsetCategoryAxis

public void unsetCategoryAxis()

Specified by:
  `unsetCategoryAxis` in interface `Axis`
See Also:
  - `Axis.isSetCategoryAxis()`
  - `Axis.isCategoryAxis()`
  - `Axis.setCategoryAxis(boolean)`

### isSetCategoryAxis

public boolean isSetCategoryAxis()

Specified by:
  `isSetCategoryAxis` in interface `Axis`
Returns:
  whether the value of the 'Category Axis' attribute is set.
See Also:
  - `Axis.unsetCategoryAxis()`
  - `Axis.isCategoryAxis()`
  - `Axis.setCategoryAxis(boolean)`

### isPercent

public boolean isPercent()

Specified by:
  `isPercent` in interface `Axis`
Returns:
  the value of the 'Percent' attribute.
See Also:
  - `Axis.isSetPercent()`
  - `Axis.unsetPercent()`
  - `Axis.setPercent(boolean)`
  - `ComponentPackage.getAxis_Percent()`

### setPercent

public void setPercent(boolean newPercent)

Specified by:
  `setPercent` in interface `Axis`
Parameters:
  `newPercent` - the new value of the 'Percent' attribute.
See Also:
  - `Axis.isSetPercent()`
  - `Axis.unsetPercent()`
  - `Axis.isPercent()`

### unsetPercent

public void unsetPercent()

Specified by:
  `unsetPercent` in interface `Axis`
See Also:
  - `Axis.isSetPercent()`
  - `Axis.isPercent()`
  - `Axis.setPercent(boolean)`

### isSetPercent

public boolean isSetPercent()

Specified by:
  `isSetPercent` in interface `Axis`
Returns:
  whether the value of the 'Percent' attribute is set.
See Also:
  - `Axis.unsetPercent()`
  - `Axis.isPercent()`
  - `Axis.setPercent(boolean)`

### isLabelWithinAxes

public boolean isLabelWithinAxes()

Specified by:
  `isLabelWithinAxes` in interface `Axis`
Returns:
  the value of the 'Label Within Axes' attribute.
See Also:
  - `Axis.isSetLabelWithinAxes()`
  - `Axis.unsetLabelWithinAxes()`
  - `Axis.setLabelWithinAxes(boolean)`
  - `ComponentPackage.getAxis_LabelWithinAxes()`

### setLabelWithinAxes

public void setLabelWithinAxes(boolean newLabelWithinAxes)

Specified by:
  `setLabelWithinAxes` in interface `Axis`
Parameters:
  `newLabelWithinAxes` - the new value of the 'Label Within Axes' attribute.
See Also:
  - `Axis.isSetLabelWithinAxes()`
  - `Axis.unsetLabelWithinAxes()`
  - `Axis.isLabelWithinAxes()`

### unsetLabelWithinAxes

public void unsetLabelWithinAxes()

Specified by:
  `unsetLabelWithinAxes` in interface `Axis`
See Also:
  - `Axis.isSetLabelWithinAxes()`
  - `Axis.isLabelWithinAxes()`
  - `Axis.setLabelWithinAxes(boolean)`

### isSetLabelWithinAxes

public boolean isSetLabelWithinAxes()

Specified by:
  `isSetLabelWithinAxes` in interface `Axis`
Returns:
  whether the value of the 'Label Within Axes' attribute is set.
See Also:
  - `Axis.unsetLabelWithinAxes()`
  - `Axis.isLabelWithinAxes()`
  - `Axis.setLabelWithinAxes(boolean)`

### isAligned

public boolean isAligned()

Specified by:
  `isAligned` in interface `Axis`
Returns:
  the value of the 'Aligned' attribute.
See Also:
  - `Axis.isSetAligned()`
  - `Axis.unsetAligned()`
  - `Axis.setAligned(boolean)`
  - `ComponentPackage.getAxis_Aligned()`

### setAligned

public void setAligned(boolean newAligned)

Specified by:
  `setAligned` in interface `Axis`
Parameters:
  `newAligned` - the new value of the 'Aligned' attribute.
See Also:
  - `Axis.isSetAligned()`
  - `Axis.unsetAligned()`
  - `Axis.isAligned()`

### unsetAligned

public void unsetAligned()

Specified by:
  `unsetAligned` in interface `Axis`
See Also:
  - `Axis.isSetAligned()`
  - `Axis.isAligned()`
  - `Axis.setAligned(boolean)`

### isSetAligned

public boolean isSetAligned()

Specified by:
  `isSetAligned` in interface `Axis`
Returns:
  whether the value of the 'Aligned' attribute is set.
See Also:
  - `Axis.unsetAligned()`
  - `Axis.isAligned()`
  - `Axis.setAligned(boolean)`

### isSideBySide

public boolean isSideBySide()

Specified by:
  `isSideBySide` in interface `Axis`
Returns:
  the value of the 'Side By Side' attribute.
See Also:
  - `Axis.isSetSideBySide()`
  - `Axis.unsetSideBySide()`
  - `Axis.setSideBySide(boolean)`
  - `ComponentPackage.getAxis_SideBySide()`

### setSideBySide

public void setSideBySide(boolean newSideBySide)

Specified by:
  `setSideBySide` in interface `Axis`
Parameters:
  `newSideBySide` - the new value of the 'Side By Side' attribute.
See Also:
  - `Axis.isSetSideBySide()`
  - `Axis.unsetSideBySide()`
  - `Axis.isSideBySide()`

### unsetSideBySide

public void unsetSideBySide()

Specified by:
  `unsetSideBySide` in interface `Axis`
See Also:
  - `Axis.isSetSideBySide()`
  - `Axis.isSideBySide()`
  - `Axis.setSideBySide(boolean)`

### isSetSideBySide

public boolean isSetSideBySide()

Specified by:
  `isSetSideBySide` in interface `Axis`
Returns:
  whether the value of the 'Side By Side' attribute is set.
See Also:
  - `Axis.unsetSideBySide()`
  - `Axis.isSideBySide()`
  - `Axis.setSideBySide(boolean)`

### getCursor

public Cursor getCursor()

Specified by:
  `getCursor` in interface `Axis`
Returns:
  the value of the 'Cursor' containment reference.
See Also:
  - `Axis.setCursor(Cursor)`
  - `ComponentPackage.getAxis_Cursor()`

### basicSetCursor

public org.eclipse.emf.common.notify.NotificationChain basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setCursor

public void setCursor(Cursor newCursor)

Specified by:
  `setCursor` in interface `Axis`
Parameters:
  `newCursor` - the new value of the 'Cursor' containment reference.
See Also:
  - `Axis.getCursor()`

### getLabelSpan

public double getLabelSpan()

Specified by:
  `getLabelSpan` in interface `Axis`
Returns:
  the value of the 'Label Span' attribute.
See Also:
  - `Axis.isSetLabelSpan()`
  - `Axis.unsetLabelSpan()`
  - `Axis.setLabelSpan(double)`
  - `ComponentPackage.getAxis_LabelSpan()`

### setLabelSpan

public void setLabelSpan(double newLabelSpan)

Specified by:
  `setLabelSpan` in interface `Axis`
Parameters:
  `newLabelSpan` - the new value of the 'Label Span' attribute.
See Also:
  - `Axis.isSetLabelSpan()`
  - `Axis.unsetLabelSpan()`
  - `Axis.getLabelSpan()`

### unsetLabelSpan

public void unsetLabelSpan()

Specified by:
  `unsetLabelSpan` in interface `Axis`
See Also:
  - `Axis.isSetLabelSpan()`
  - `Axis.getLabelSpan()`
  - `Axis.setLabelSpan(double)`

### isSetLabelSpan

public boolean isSetLabelSpan()

Specified by:
  `isSetLabelSpan` in interface `Axis`
Returns:
  whether the value of the 'Label Span' attribute is set.
See Also:
  - `Axis.unsetLabelSpan()`
  - `Axis.getLabelSpan()`
  - `Axis.setLabelSpan(double)`

### getAxisPercent

public int getAxisPercent()

Specified by:
  `getAxisPercent` in interface `Axis`
Returns:
  the value of the 'Axis Percent' attribute.
See Also:
  - `Axis.isSetAxisPercent()`
  - `Axis.unsetAxisPercent()`
  - `Axis.setAxisPercent(int)`
  - `ComponentPackage.getAxis_AxisPercent()`

### setAxisPercent

public void setAxisPercent(int newAxisPercent)

Specified by:
  `setAxisPercent` in interface `Axis`
Parameters:
  `newAxisPercent` - the new value of the 'Axis Percent' attribute.
See Also:
  - `Axis.isSetAxisPercent()`
  - `Axis.unsetAxisPercent()`
  - `Axis.getAxisPercent()`

### unsetAxisPercent

public void unsetAxisPercent()

Specified by:
  `unsetAxisPercent` in interface `Axis`
See Also:
  - `Axis.isSetAxisPercent()`
  - `Axis.getAxisPercent()`
  - `Axis.setAxisPercent(int)`

### isSetAxisPercent

public boolean isSetAxisPercent()

Specified by:
  `isSetAxisPercent` in interface `Axis`
Returns:
  whether the value of the 'Axis Percent' attribute is set.
See Also:
  - `Axis.unsetAxisPercent()`
  - `Axis.getAxisPercent()`
  - `Axis.setAxisPercent(int)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final Axis create(int iAxisType)
A convenience method to create an initialized 'Axis' instance

Parameters:
  `iAxisType` - The type of axis defined by Axis.BASE or Axis.ORTHOGONAL
Returns:
  axis instance with 'isSet' flag.

### createDefault

public static final Axis createDefault(int iAxisType)
A convenience method to create an initialized 'Axis' instance

Parameters:
  `iAxisType` - The type of axis defined by Axis.BASE or Axis.ORTHOGONAL
Returns:
  axis instance without 'isSet' flag.

### getRuntimeSeries

public final Series[] getRuntimeSeries()

Specified by:
  `getRuntimeSeries` in interface `Axis`
Returns:
  All runtime series associated with a particular axis

### copyInstance

public Axis copyInstance()

Specified by:
  `copyInstance` in interface `Axis`
Specified by:
  `copyInstance` in interface `IChartObject`